%{?mingw_package_header}

%global pkgname openexr

Name:          mingw-%{pkgname}
Version:       3.1.5
Release:       3%{?dist}
Summary:       MinGW Windows %{pkgname} library

License:       BSD
URL:           http://www.openexr.com/
BuildArch:     noarch
Source0:       https://github.com/AcademySoftwareFoundation/%{pkgname}/archive/v%{version}/%{pkgname}-%{version}.tar.gz



BuildRequires: cmake
BuildRequires: make

BuildRequires: mingw32-filesystem >= 95
BuildRequires: mingw32-gcc
BuildRequires: mingw32-gcc-c++
BuildRequires: mingw32-imath
BuildRequires: mingw32-zlib

BuildRequires: mingw64-filesystem >= 95
BuildRequires: mingw64-gcc
BuildRequires: mingw64-gcc-c++
BuildRequires: mingw64-imath
BuildRequires: mingw64-zlib

%description
MinGW Windows %{pkgname} library.


%package -n mingw32-%{pkgname}
Summary:       MinGW Windows %{pkgname} library
Provides:      mingw32-OpenEXR = %{version}-%{release}
Provides:      mingw32-ilmbase = %{version}-%{release}
Obsoletes:     mingw32-OpenEXR < 2.5.3
Obsoletes:     mingw32-OpenEXR-static < 2.5.3
Obsoletes:     mingw32-ilmbase < 2.5.3

%description -n mingw32-%{pkgname}
%{summary}.



%package -n mingw32-%{pkgname}-tools
Summary:       Tools for the MinGW Windows %{pkgname} library
Requires:      mingw32-%{pkgname} = %{version}-%{release}
Provides:      mingw32-OpenEXR-tools = %{version}-%{release}
Provides:      mingw32-ilmbase-tools = %{version}-%{release}
Obsoletes:     mingw32-OpenEXR-tools < 2.5.3
Obsoletes:     mingw32-ilmbase-tools < 2.5.3

%description -n mingw32-%{pkgname}-tools
%{summary}.


%package -n mingw64-%{pkgname}
Summary:       MinGW Windows %{pkgname} library
Provides:      mingw64-OpenEXR = %{version}-%{release}
Provides:      mingw64-ilmbase = %{version}-%{release}
Obsoletes:     mingw64-OpenEXR < 2.5.3
Obsoletes:     mingw64-OpenEXR-static < 2.5.3
Obsoletes:     mingw64-ilmbase < 2.5.3

%description -n mingw64-%{pkgname}
%{summary}.


%package -n mingw64-%{pkgname}-tools
Summary:       Tools for the MinGW Windows %{pkgname} library
Requires:      mingw64-%{pkgname} = %{version}-%{release}
Provides:      mingw64-OpenEXR-tools = %{version}-%{release}
Provides:      mingw64-ilmbase-tools = %{version}-%{release}
Obsoletes:     mingw64-OpenEXR-tools < 2.5.3
Obsoletes:     mingw64-ilmbase-tools < 2.5.3

%description -n mingw64-%{pkgname}-tools
%{summary}.


%{?mingw_debug_package}


%prep
%autosetup -p1 -n %{pkgname}-%{version}


%build
%mingw_cmake -DOPENEXR_INSTALL_PKG_CONFIG=ON
%mingw_make_build


%install
%mingw_make_install


# Don't install doc
rm -rf %{buildroot}%{mingw32_docdir}/OpenEXR
rm -rf %{buildroot}%{mingw64_docdir}/OpenEXR


%files -n mingw32-%{pkgname}
%license LICENSE.md
%{mingw32_bindir}/libIex-3_1.dll
%{mingw32_bindir}/libIlmThread-3_1.dll
%{mingw32_bindir}/libOpenEXR-3_1.dll
%{mingw32_bindir}/libOpenEXRCore-3_1.dll
%{mingw32_bindir}/libOpenEXRUtil-3_1.dll
%{mingw32_includedir}/OpenEXR/
%{mingw32_libdir}/libIex-3_1.dll.a
%{mingw32_libdir}/libIlmThread-3_1.dll.a
%{mingw32_libdir}/libOpenEXR-3_1.dll.a
%{mingw32_libdir}/libOpenEXRCore-3_1.dll.a
%{mingw32_libdir}/libOpenEXRUtil-3_1.dll.a
%{mingw32_libdir}/cmake/OpenEXR/
%{mingw32_libdir}/pkgconfig/OpenEXR.pc


%files -n mingw32-%{pkgname}-tools
%{mingw32_bindir}/exr2aces.exe
%{mingw32_bindir}/exrenvmap.exe
%{mingw32_bindir}/exrheader.exe
%{mingw32_bindir}/exrinfo.exe
%{mingw32_bindir}/exrmakepreview.exe
%{mingw32_bindir}/exrmaketiled.exe
%{mingw32_bindir}/exrmultipart.exe
%{mingw32_bindir}/exrmultiview.exe
%{mingw32_bindir}/exrstdattr.exe

%files -n mingw64-%{pkgname}
%license LICENSE.md
%{mingw64_bindir}/libIex-3_1.dll
%{mingw64_bindir}/libIlmThread-3_1.dll
%{mingw64_bindir}/libOpenEXR-3_1.dll
%{mingw64_bindir}/libOpenEXRCore-3_1.dll
%{mingw64_bindir}/libOpenEXRUtil-3_1.dll
%{mingw64_includedir}/OpenEXR/
%{mingw64_libdir}/libIex-3_1.dll.a
%{mingw64_libdir}/libIlmThread-3_1.dll.a
%{mingw64_libdir}/libOpenEXR-3_1.dll.a
%{mingw64_libdir}/libOpenEXRCore-3_1.dll.a
%{mingw64_libdir}/libOpenEXRUtil-3_1.dll.a
%{mingw64_libdir}/cmake/OpenEXR/
%{mingw64_libdir}/pkgconfig/OpenEXR.pc


%files -n mingw64-%{pkgname}-tools
%{mingw64_bindir}/exr2aces.exe
%{mingw64_bindir}/exrenvmap.exe
%{mingw64_bindir}/exrheader.exe
%{mingw64_bindir}/exrinfo.exe
%{mingw64_bindir}/exrmakepreview.exe
%{mingw64_bindir}/exrmaketiled.exe
%{mingw64_bindir}/exrmultipart.exe
%{mingw64_bindir}/exrmultiview.exe
%{mingw64_bindir}/exrstdattr.exe


%changelog
* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 3.1.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 3.1.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Sun Apr 17 2022 Sandro Mani <manisandro@gmail.com> - 3.1.5-1
- Update to 3.1.5

* Fri Mar 25 2022 Sandro Mani <manisandro@gmail.com> - 3.1.4-2
- Rebuild with mingw-gcc-12

* Mon Mar 14 2022 Sandro Mani <manisandro@gmail.com> - 3.1.4-1
- Update to 3.1.4

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 3.1.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Wed Nov 03 2021 Sandro Mani <manisandro@gmail.com> - 3.1.3-1
- Update to 3.1.3

* Thu Oct 07 2021 Sandro Mani <manisandro@gmail.com> - 3.1.2-1
- Update to 3.1.2

* Mon Aug 16 2021 Sandro Mani <manisandro@gmail.com> - 3.1.1-1
- Update to 3.1.1

* Fri Jul 30 2021 Sandro Mani <manisandro@gmail.com> - 3.0.5-1
- Update to 3.0.5

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 2.5.5-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri Jun 11 2021 Sandro Mani <manisandro@gmail.com> - 2.5.5-3
- Backport patch for CVE-2021-3598
- Backport fix for heap buffer overflow

* Sat May 01 2021 Sandro Mani <manisandro@gmail.com> - 2.5.5-2
- Backport patch for CVE-2021-23169

* Wed Mar 24 2021 Sandro Mani <manisandro@gmail.com> - 2.5.5-1
- Update to 2.5.5

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 2.5.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Thu Jan 07 2021 Sandro Mani <manisandro@gmail.com> - 2.5.4-1
- Update to 2.5.4

* Thu Dec 17 2020 Sandro Mani <manisandro@gmail.com> - 2.5.3-1
- Initial package to replace mingw-OpenEXR and mingw-ilmbase
